Subject: Re: bug#35383: 27.0.50; Complete process of decoding Gnus group names

From: Eric Abrahamsen <[email-masked]>
Date: Tue, 30 Apr 2019 11:17:22 -0700

Eli Zaretskii <[email-masked]> writes:

>> From: Eric Abrahamsen <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Tue, 30 Apr 2019 10:19:01 -0700
>> 
>> > You could give up the cookie.  It is only important if the file is
>> > visited by "C-x C-f" etc., which will be rare.  So having a cookie is
>> > a nicety, not a requirement.
>> 
>> Right, I think that was the conclusion. But do you have any other advice
>> about making sure that files previously written as 'raw-text are read
>> correctly by the updated code? It works on my machine™, but is that just
>> because my locale is unicode?
>
> It depends on whether the buffer saved to that file included raw-bytes
> (it generally shouldn't).  If not, then there will be no problem.  If
> there were raw-bytes, you cannot win, so I wouldn't bother about that
> case.

Good enough for me! I will swap the defaults to 'utf-8-emacs and push to
the branch -- I haven't gotten to the stage of calling for testers yet,
so with any luck we can still flush out some bugs.

Thanks,
Eric